Subject: RE: XEmacs-21.4.14-2 consistently crashes
From: "Demmer, Thomas" <[email-masked]>
To: "'Dr. Volker Zell'" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Thu, 12 Feb 2004 08:15:08 +0100

>>>>>> "Thomas" == Thomas Demmer writes:
>
>    Thomas> Until last week I was using 21.4.11 or so from xemacs.org,
built with
>    Thomas> whatever cygwin they used and it ran fine, so I was assuming a
cygwin bug
>    Thomas> here.
>
>In which mode does it run ?
>
>The following is copied from a header file in the XEamcs source tree,
>windowsnt.h:
>
>1. Keep in mind that there are two possible OS environments we are dealing
>   with -- Cygwin and Native Windows.  Cygwin provides a POSIX emulation
>   layer on top of MS Windows -- in particular, providing the file-system,
>   process, tty, and signal semantics that are part of a modern, standard
>   Unix operating system.  MS Windows also provides these services, but
>   through their own API, called Win32.  When compiling in a Cygwin
>   environment, the Win32 API's are also available, and in fact are used
>   to do native GUI programming.
>
>2. There are two windowing environments we can target XEmacs for when
>   running under MS Windows -- Windows native, and X. (It may seem strange
>   to write an X application under Windows, but there are in fact many X
>   servers out there running on Windows, and as far as I know there is no
>   real (or at least, that works well) networking Window-system extension
>   under MS Windows.  Furthermore, if you're porting a Unix application to
>   Windows and use Cygwin to assist you, it might seem natural to use an
>   X server to avoid having to port all the code to Windows.) For XEmacs,
>   there are various reasons people could come up with for why we would
>   want to keep maintaining X Windows under MS Windows support.
>
>That gives us four possible build environments.  I (Ben) build
>regularly on fully-native-everything, Andy builds on Cygwin + MS
>Windows + X Windows for windowing.

It used to run in Cygwin and MS Windows mode. It did not have X11
support built in, IIRC. Expressed with the flags you mentioned:
CYGWIN,HAVE_MS_WINDOWS

[...]

Ciao
Tom

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/